## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname azure-storage-blob

Name:           python-%{srcname}
Version:        12.20.0
Release:        %autorelease
Summary:        Azure Storage Blobs client library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source:         %{pypi_source %{srcname}}

BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
Azure Storage Blobs client library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%pyproject_extras_subpkg -n python3-%{srcname} aio


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -x aio


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l azure


%check
%pyproject_check_import

# pytest unittest are not run as the test depends on the vcrpy that is pinned https://github.com/Azure/azure-sdk-for-python/tree/main/tools/vcrpy
# Furthermore the pypi_source file are missing some test files used to run the test e.g recording rules


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 12.20.0-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 12.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Jul 23 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 12.20.0-1
- Update to 12.20.0

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 12.19.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 12.19.1-2
- Rebuilt for Python 3.13

* Tue Mar 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 12.19.1-1
- Update to 12.19.1 (close RHBZ#2166795)

* Tue Mar 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 12.14.1-10
- Assert that a license file is present in the .dist-info directory

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 12.14.1-4.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 12.14.1-4.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 06 2023 Roman Inflianskas <rominf@aiven.io> - 12.14.1-4
- Rebuilt for Python 3.12

* Mon Feb 20 2023 Rommel Layco <rj.layco@gmail.com> 12.14.1-3
- Update to 12.14.1

* Wed Sep 21 2022 Rommel Layco <rj.layco@gmail.com> 12.13.1-2
- Initial import (fedora#2109341)
- Fix changelog

* Thu Aug 18 2022 John Doe <packager@example.com> 12.13.1-1
- Uncommitted changes

## END: Generated by rpmautospec
